Index: trunk/SophyaLib/BaseTools/Makefile
===================================================================
--- trunk/SophyaLib/BaseTools/Makefile	(revision 2735)
+++ trunk/SophyaLib/BaseTools/Makefile	(revision 2739)
@@ -1,52 +1,87 @@
-include ../Mgr/Makefile.h
+include ../BuildMgr/sophyamake.inc
  
-all: $(LIB)libBaseTools.a
+all: $(SOPHYALIBP)libBaseTools.a
+ 
 clean:
-	rm -f $(OBJ)datatype.o $(OBJ)dvlist.o $(OBJ)fiondblock.o $(OBJ)mutyv.o $(OBJ)ndatablock.o $(OBJ)pexceptions.o $(OBJ)ppersist.o $(OBJ)ppfbinstream.o $(OBJ)ppftpointerio.o $(OBJ)rawstream.o $(OBJ)sophyainit.o $(OBJ)timestamp.o $(OBJ)gnumd5.o $(OBJ)srandgen.o
-	rm -f $(LIB)libBaseTools.a
-$(LIB)libBaseTools.a : $(OBJ)datatype.o $(OBJ)dvlist.o $(OBJ)fiondblock.o $(OBJ)gnumd5.o $(OBJ)mutyv.o $(OBJ)ndatablock.o $(OBJ)pexceptions.o $(OBJ)ppersist.o $(OBJ)ppfbinstream.o $(OBJ)ppftpointerio.o $(OBJ)rawstream.o $(OBJ)sophyainit.o $(OBJ)srandgen.o $(OBJ)timestamp.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
+	 rm -f $(SOPHYAOBJP)datatype.o $(SOPHYAOBJP)dvlist.o $(SOPHYAOBJP)fiondblock.o $(SOPHYAOBJP)mutyv.o $(SOPHYAOBJP)ndatablock.o $(SOPHYAOBJP)pexceptions.o $(SOPHYAOBJP)ppersist.o $(SOPHYAOBJP)ppfbinstream.o $(SOPHYAOBJP)ppftpointerio.o $(SOPHYAOBJP)rawstream.o $(SOPHYAOBJP)sophyainit.o $(SOPHYAOBJP)timestamp.o $(SOPHYAOBJP)gnumd5.o $(SOPHYAOBJP)srandgen.o
+	rm -f $(SOPHYALIBP)libBaseTools.a
  
-$(OBJ)datatype.o: datatype.cc sopnamsp.h datatype.h \
-  $(INC)machdefs.h
-$(OBJ)dvlist.o: dvlist.cc sopnamsp.h $(INC)machdefs.h \
-  dvlist.h objfio.h anydataobj.h ppersist.h pexceptions.h gnumd5.h \
-  ppfbinstream.h rawstream.h ppfnametag.h mutyv.h \
-  $(INC)strutil.h
-$(OBJ)fiondblock.o: fiondblock.cc sopnamsp.h \
-  $(INC)machdefs.h pexceptions.h datatype.h \
-  fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+$(SOPHYALIBP)libBaseTools.a : $(SOPHYAOBJP)datatype.o $(SOPHYAOBJP)dvlist.o $(SOPHYAOBJP)fiondblock.o $(SOPHYAOBJP)gnumd5.o $(SOPHYAOBJP)mutyv.o $(SOPHYAOBJP)ndatablock.o $(SOPHYAOBJP)pexceptions.o $(SOPHYAOBJP)ppersist.o $(SOPHYAOBJP)ppfbinstream.o $(SOPHYAOBJP)ppftpointerio.o $(SOPHYAOBJP)rawstream.o $(SOPHYAOBJP)sophyainit.o $(SOPHYAOBJP)srandgen.o $(SOPHYAOBJP)timestamp.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)datatype.o: datatype.cc sopnamsp.h datatype.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)dvlist.o: dvlist.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h dvlist.h objfio.h \
+  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h mutyv.h \
+  $(SOPHYAINCP)strutil.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h \
+  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
   ppfnametag.h ndatablock.h anydataobj.h
-$(OBJ)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
-  $(INC)machdefs.h
-$(OBJ)ndatablock.o: ndatablock.cc sopnamsp.h \
-  $(INC)machdefs.h pexceptions.h ndatablock.h \
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h \
+  ndatablock.h anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)pexceptions.o: pexceptions.cc sopnamsp.h pexceptions.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h \
+  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
   anydataobj.h
-$(OBJ)pexceptions.o: pexceptions.cc sopnamsp.h pexceptions.h \
-  $(INC)machdefs.h
-$(OBJ)ppersist.o: ppersist.cc sopnamsp.h \
-  $(INC)machdefs.h pexceptions.h ppersist.h \
-  gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h anydataobj.h
-$(OBJ)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
-  $(INC)machdefs.h ppfbinstream.h rawstream.h \
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
+  rawstream.h pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
+  $(SOPHYAINCP)machdefs.h sopnamsp.h \
+  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sophyainit.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
+  mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h ppfwrapstlv.h \
+  sversion.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)timestamp.o: timestamp.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h timestamp.h \
   pexceptions.h
-$(OBJ)ppftpointerio.o: ppftpointerio.cc \
-  $(INC)machdefs.h sopnamsp.h ppftpointerio.h \
-  ppersist.h pexceptions.h gnumd5.h ppfbinstream.h rawstream.h \
-  ppfnametag.h
-$(OBJ)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
-  $(INC)machdefs.h pexceptions.h
-$(OBJ)sophyainit.o: sophyainit.cc sopnamsp.h \
-  $(INC)machdefs.h sophyainit.h pexceptions.h \
-  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
-  fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h mutyv.h \
-  fiosegdb.h segdatablock.h ppftpointerio.h ppfwrapstlv.h sversion.h
-$(OBJ)timestamp.o: timestamp.cc sopnamsp.h \
-  $(INC)machdefs.h timestamp.h pexceptions.h
-$(OBJ)gnumd5.o: gnumd5.c $(INC)machdefs.h bithelp.h \
-  gnumd5.h
-$(OBJ)srandgen.o: srandgen.c $(INC)machdefs.h \
-  srandgen.h smathconst.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+  bithelp.h gnumd5.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)srandgen.o: srandgen.c \
+  $(SOPHYAINCP)machdefs.h srandgen.h \
+  smathconst.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)toto.o: toto.f
+	$(FCOMPILE) -o $@ $<
+ 
Index: trunk/SophyaLib/BaseTools/smakefile
===================================================================
--- trunk/SophyaLib/BaseTools/smakefile	(revision 2739)
+++ trunk/SophyaLib/BaseTools/smakefile	(revision 2739)
@@ -0,0 +1,87 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libBaseTools.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)datatype.o $(SOPHYAOBJP)dvlist.o $(SOPHYAOBJP)fiondblock.o $(SOPHYAOBJP)mutyv.o $(SOPHYAOBJP)ndatablock.o $(SOPHYAOBJP)pexceptions.o $(SOPHYAOBJP)ppersist.o $(SOPHYAOBJP)ppfbinstream.o $(SOPHYAOBJP)ppftpointerio.o $(SOPHYAOBJP)rawstream.o $(SOPHYAOBJP)sophyainit.o $(SOPHYAOBJP)timestamp.o $(SOPHYAOBJP)gnumd5.o $(SOPHYAOBJP)srandgen.o
+	rm -f $(SOPHYALIBP)libBaseTools.a
+ 
+$(SOPHYALIBP)libBaseTools.a : $(SOPHYAOBJP)datatype.o $(SOPHYAOBJP)dvlist.o $(SOPHYAOBJP)fiondblock.o $(SOPHYAOBJP)gnumd5.o $(SOPHYAOBJP)mutyv.o $(SOPHYAOBJP)ndatablock.o $(SOPHYAOBJP)pexceptions.o $(SOPHYAOBJP)ppersist.o $(SOPHYAOBJP)ppfbinstream.o $(SOPHYAOBJP)ppftpointerio.o $(SOPHYAOBJP)rawstream.o $(SOPHYAOBJP)sophyainit.o $(SOPHYAOBJP)srandgen.o $(SOPHYAOBJP)timestamp.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)datatype.o: datatype.cc sopnamsp.h datatype.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)dvlist.o: dvlist.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h dvlist.h objfio.h \
+  anydataobj.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h mutyv.h \
+  $(SOPHYAINCP)strutil.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fiondblock.o: fiondblock.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h \
+  datatype.h fiondblock.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h ndatablock.h anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)mutyv.o: mutyv.cc sopnamsp.h mutyv.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ndatablock.o: ndatablock.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h \
+  ndatablock.h anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)pexceptions.o: pexceptions.cc sopnamsp.h pexceptions.h \
+  $(SOPHYAINCP)machdefs.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ppersist.o: ppersist.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h \
+  ppersist.h gnumd5.h ppfbinstream.h rawstream.h ppfnametag.h \
+  anydataobj.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ppfbinstream.o: ppfbinstream.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h ppfbinstream.h \
+  rawstream.h pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ppftpointerio.o: ppftpointerio.cc \
+  $(SOPHYAINCP)machdefs.h sopnamsp.h \
+  ppftpointerio.h ppersist.h pexceptions.h gnumd5.h ppfbinstream.h \
+  rawstream.h ppfnametag.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)rawstream.o: rawstream.cc sopnamsp.h rawstream.h \
+  $(SOPHYAINCP)machdefs.h pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)sophyainit.o: sophyainit.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h sophyainit.h \
+  pexceptions.h ppersist.h gnumd5.h ppfbinstream.h rawstream.h \
+  ppfnametag.h fiondblock.h ndatablock.h anydataobj.h dvlist.h objfio.h \
+  mutyv.h fiosegdb.h segdatablock.h ppftpointerio.h ppfwrapstlv.h \
+  sversion.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)timestamp.o: timestamp.cc sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h timestamp.h \
+  pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)gnumd5.o: gnumd5.c $(SOPHYAINCP)machdefs.h \
+  bithelp.h gnumd5.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)srandgen.o: srandgen.c \
+  $(SOPHYAINCP)machdefs.h srandgen.h \
+  smathconst.h
+	$(CCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)toto.o: toto.f
+	$(FCOMPILE) -o $@ $<
+ 
